apiVersion: "operator.nevis-security.ch/v1"
kind: "NevisComponent"
metadata:
  name: "proxy-idm"
  namespace: "adn-agov-nevisidm-admin-01-uat"
  labels:
    deploymentTarget: "proxy-idm"
  annotations:
    projectKey: "DEFAULT-ADN-AGOV-ADMIN-PROJECT"
    patternId: "3bc06037962ad13be0a3a95d"
spec:
  type: "NevisProxy"
  replicas: 1
  version: "8.2411.2"
  gitInitVersion: "1.3.0"
  runAsNonRoot: true
  ports:
    management: 11080
    https: 8443
  resources:
    limits:
      cpu: "2"
      memory: "2000Mi"
    requests:
      cpu: "20m"
      memory: "1000Mi"
  livenessProbe:
    management:
      httpGet:
        path: "/liveness"
      periodSeconds: 5
      timeoutSeconds: 6
  readinessProbe:
    management:
      httpGet:
        path: "/readiness"
      periodSeconds: 5
      timeoutSeconds: 6
  startupProbe:
    management:
      httpGet:
        path: "/readiness"
      periodSeconds: 5
      timeoutSeconds: 6
      failureThreshold: 50
  podDisruptionBudget:
    maxUnavailable: "50%"
  git:
    tag: "r-209bf374662c383a97fa9f48eab356e6e7ded80a"
    dir: "DEFAULT-ADN-AGOV-ADMIN-PROJECT/DEFAULT-ADN-AGOV-ADMIN-INV/proxy-idm"
    credentials: "git-credentials"
  keystores:
  - "proxy-idm-saml-sp-nevisidm-admin-realm-identity"
  - "proxy-idm-1200a58c76686d520c21edb0"
  truststores:
  - "proxy-idm-saml-sp-nevisidm-admin-realm-tls-trust"
  - "proxy-idm-nevisidm-sectoken-truststore"
  ingresses:
  - "proxy-idm"
  podSecurity:
    policy: "baseline"
    automountServiceAccountToken: false
  timeZone: "Europe/Zurich"
